/***************************************************************************
                          tool_bbomb.cpp  -  description
                             -------------------
    begin                : Mon Mar 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tool_bbomb.h"
#include "gameobject.h"
#include "bomb.h"

Tool_bbomb::Tool_bbomb(int _x, int _y, Map_Sample* _sample) : Tool(_x, _y, _sample)
{
	useable=true;
	collectable=false;
	tt=TBIGBOMB;
	spr=67;
	lited=false;
}
Tool_bbomb::~Tool_bbomb(){
}
void Tool_bbomb::show()
{
	sur->put_screen(x, y, spr);
}
void Tool_bbomb::lit()
{
	if(!lited)
	{
		this->set_delme();
		new Bomb(x, y, 1, 0, sample);
		lited=true;
	}
}